import { NodeAnnotation, NodeAnnotationTypeEnum } from './node-annotation.abstract';
import { AnnotationStyle } from '../../interface';
import { Nullable } from '../../../../types/general';
/**
 * Annotation to make text as plain text
 */
export declare class PlainTextAnnotation extends NodeAnnotation {
  readonly type: NodeAnnotationTypeEnum;
  plainText: boolean;
  constructor(plainText: boolean);
  /**
   * @inheritDoc
   */
  static from(plainText: boolean): [NodeAnnotationTypeEnum.PLAIN_TEXT, PlainTextAnnotation];
  /**
   * @inheritDoc
   */
  clone(): NodeAnnotation;
  /**
   * @inheritDoc
   */
  renderClass(): Nullable<string>;
  /**
   * @inheritDoc
   */
  renderStyle(): Nullable<AnnotationStyle>;
  /**
   * @inheritDoc
   */
  toJSON(): Nullable<Record<string, unknown>>;
}
